commit:     4d36ade32dbdc50b8b60e89a125fa2882a6a4675
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  9 08:30:33 2024 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sun Jun  9 08:30:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d36ade3

app-xemacs/ebuild-mode: add 1.71

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 app-xemacs/ebuild-mode/Manifest                |  1 +
 app-xemacs/ebuild-mode/ebuild-mode-1.71.ebuild | 44 ++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/app-xemacs/ebuild-mode/Manifest b/app-xemacs/ebuild-mode/Manifest
index 224c58956701..9667872263d4 100644
--- a/app-xemacs/ebuild-mode/Manifest
+++ b/app-xemacs/ebuild-mode/Manifest
@@ -1,2 +1,3 @@
 DIST ebuild-mode-1.69.tar.xz 41436 BLAKE2B 
9c3a41e6dac89d1c3908f72dfd4f2c2f62a1337fa9de1318d26901ae51c5b17cec429839378fa8df155f65807bc16efb9235b1913d4a3704d0d79df9fddd7af6
 SHA512 
2ba94f268f74a8424fccfc7ffff3d0e008261224a389253f67be91b6ade0301600fd50c0bb4b5f0487acb5b0add68dd6895a03dd7b096095034d59bc300e8a53
 DIST ebuild-mode-1.70.tar.xz 41528 BLAKE2B 
51eecdaa262b20517aae269d4e8d41684d58a8aa73b316e08d03e4578b9bd0775577a46e15b637e4636978295629d36df774d39c253c3544ade985ad82b588dc
 SHA512 
81e156adc19afe89778b9eb708414ba4cb6dd69ad3df05965eac6d5d46e6fda5b7e96f10933827639a17d8b349ae8c115b39e1ebd5c54350dcd07f9003d517e3
+DIST ebuild-mode-1.71.tar.xz 41592 BLAKE2B 
82f10340f619ea5689ae769f63818be1ac45a7bad65ac0f88ae1f92a3e7e6435286f66fd0da160a98647a610dde6dd79afb1655518823972c462e93c5437a74c
 SHA512 
2a8f0c715102d49d69941efadb2a0f1d2e982660221d2c8742903fd16b8c394113f2a7ca9c2e147836a59887ead98d8776f575f61e66dcf3700b764050345ec6

diff --git a/app-xemacs/ebuild-mode/ebuild-mode-1.71.ebuild 
b/app-xemacs/ebuild-mode/ebuild-mode-1.71.ebuild
new file mode 100644
index 000000000000..259c07c73e7f
--- /dev/null
+++ b/app-xemacs/ebuild-mode/ebuild-mode-1.71.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Emacs modes for editing ebuilds and other Gentoo specific files"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Emacs";
+SRC_URI="https://dev.gentoo.org/~ulm/emacs/${P}.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~x86"
+
+RDEPEND=">=app-editors/xemacs-21.4.20-r5
+       app-xemacs/sh-script"
+BDEPEND="${RDEPEND}"
+
+src_compile() {
+       local XEMACS="${EPREFIX}/usr/bin/xemacs"
+
+       "${XEMACS}" -batch -q --no-site-file \
+               -eval "(add-to-list 'load-path nil)" \
+               -f batch-byte-compile \
+               ebuild-mode.el gentoo-newsitem-mode.el || die
+
+       "${XEMACS}" -batch -q --no-site-file \
+               -eval "(setq autoload-package-name \"${PN}\")" \
+               -eval "(setq generated-autoload-file 
\"${S}/auto-autoloads.el\")" \
+               -l autoload -f batch-update-autoloads \
+               ebuild-mode.el gentoo-newsitem-mode.el || die
+}
+
+src_install() {
+       insinto /usr/share/xemacs/site-packages/lisp/${PN}
+       doins *.el *.elc
+}
+
+pkg_postinst() {
+       optfeature "ebuild commands support" sys-apps/portage
+       optfeature "additional development tools" dev-util/pkgdev
+       optfeature "ebuild QA utilities" dev-util/pkgcheck
+}

Reply via email to